path: /build/build/kateprivate-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="activities" emerge kde-apps/kateprivate:5 -pv -t && \
    USE="activities" emerge -j ${JOBS} --nodeps kde-apps/kateprivate:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kateprivate && luet-portage --dir /pkgdir/kateprivate
    kde-apps/kateprivate:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bdef223445bc87fff1b619ec970f5de5cca8916f4f44722c7aa988fb935c683d
  package:
    name: kateprivate
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - activities
    requires:
    - name: macaroni-funtoo-race19
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Shared library common to Kate and Kwrite
    uri:
    - https://apps.kde.org/en/kwrite https://apps.kde.org/en/kwrite
    license: GPL-2
    buildtimestamp: 2024-02-15 09:54:39.262514328 +0000 UTC m=+251.127438649
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
        >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        activities? ( >=kde-frameworks/kactivities-5.98.0:5 ) dev-util/desktop-file-utils
        x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
      IUSE: activities debug
      RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
        >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
        >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5
        activities? ( >=kde-frameworks/kactivities-5.98.0:5 ) !<=kde-apps/kate-22.08.1
        !<=kde-apps/kwrite-22.08.1 >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-apps/kateprivate:5
      kit: kde-kit
      original.package.name: kde-apps/kateprivate
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/kateprivate
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4f16960fe68d213c5c81cf10fede4f45e356c4a54fdc06ad99533b6e9dfcb01a
compressiontype: zstd
files:
- usr/lib64/libkateprivate.so.23.08.2
- var/db/pkg/kde-apps/kateprivate-23.08.2/BDEPEND
- var/db/pkg/kde-apps/kateprivate-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/kateprivate-23.08.2/CATEGORY
- var/db/pkg/kde-apps/kateprivate-23.08.2/CBUILD
- var/db/pkg/kde-apps/kateprivate-23.08.2/CFLAGS
- var/db/pkg/kde-apps/kateprivate-23.08.2/CHOST
- var/db/pkg/kde-apps/kateprivate-23.08.2/CONTENTS
- var/db/pkg/kde-apps/kateprivate-23.08.2/COUNTER
- var/db/pkg/kde-apps/kateprivate-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/kateprivate-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/kateprivate-23.08.2/DEPEND
- var/db/pkg/kde-apps/kateprivate-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/kateprivate-23.08.2/EAPI
- var/db/pkg/kde-apps/kateprivate-23.08.2/FEATURES
- var/db/pkg/kde-apps/kateprivate-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/kateprivate-23.08.2/INHERITED
- var/db/pkg/kde-apps/kateprivate-23.08.2/IUSE
- var/db/pkg/kde-apps/kateprivate-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/kateprivate-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/kateprivate-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/kateprivate-23.08.2/LICENSE
- var/db/pkg/kde-apps/kateprivate-23.08.2/NEEDED
- var/db/pkg/kde-apps/kateprivate-23.08.2/PF
- var/db/pkg/kde-apps/kateprivate-23.08.2/PROVIDES
- var/db/pkg/kde-apps/kateprivate-23.08.2/RDEPEND
- var/db/pkg/kde-apps/kateprivate-23.08.2/REQUIRES
- var/db/pkg/kde-apps/kateprivate-23.08.2/SIZE
- var/db/pkg/kde-apps/kateprivate-23.08.2/SLOT
- var/db/pkg/kde-apps/kateprivate-23.08.2/USE
- var/db/pkg/kde-apps/kateprivate-23.08.2/environment.bz2
- var/db/pkg/kde-apps/kateprivate-23.08.2/kateprivate-23.08.2.ebuild
- var/db/pkg/kde-apps/kateprivate-23.08.2/repository
package_cacheimage: ""
runtime:
  name: kateprivate
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - activities
  requires:
  - name: kactivities
    version: '>=0'
    category: kde-frameworks-5
  - name: kcrash
    version: '>=0'
    category: kde-frameworks-5
  - name: kdbusaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: ktexteditor
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Shared library common to Kate and Kwrite
  uri:
  - https://apps.kde.org/en/kwrite https://apps.kde.org/en/kwrite
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
      >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 activities?
      ( >=kde-frameworks/kactivities-5.98.0:5 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
    IUSE: activities debug
    RDEPEND: '>=dev-qt/qtgui-5.15.2:5 >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kconfig-5.98.0:5
      >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kcrash-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
      >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kxmlgui-5.98.0:5 activities?
      ( >=kde-frameworks/kactivities-5.98.0:5 ) !<=kde-apps/kate-22.08.1 !<=kde-apps/kwrite-22.08.1
      >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-apps/kateprivate:5
    kit: kde-kit
    original.package.name: kde-apps/kateprivate
    original.package.slot: "5"
    original.package.version: 23.08.2
